<?php
require_once("../functions.php");
if (comprobar_override(str_replace($_SERVER['DOCUMENT_ROOT'], '', __FILE__))) exit;
$pag = basename($_SERVER['PHP_SELF']);
gen_plantilla(true, $pag, false, false, '', false, false);


/*******************************************************************************
 *                                [Parámetros]                                 *
 *******************************************************************************/

$uploadDir = $_SERVER['DOCUMENT_ROOT'] . SITIO_CARPETA . '/assets/img/';

if (isset($_FILES['medio']) && $_FILES['medio']['error'] == UPLOAD_ERR_OK) {
    $tmpName = $_FILES['medio']['tmp_name'];

    // Nombre original (sin ruta)
    $originalName = basename($_FILES['medio']['name']);

    // Separa base y extensión
    $base = pathinfo($originalName, PATHINFO_FILENAME);
    $ext  = strtolower(pathinfo($originalName, PATHINFO_EXTENSION));

    // Mantén el nombre original (saneado) y la extensión en tus variables
    $fileName = 'LOGO';
    $tipo = $ext ? ('.' . $ext) : '';

    //Si ya existe se elimina el anterior
    if(file_exists($uploadDir . $fileName . $tipo))
        unlink($uploadDir . $fileName . $tipo);
} else {
    crear_log(
        'error',
        'Error subir archivo',
        $pag,
        'Error al subir el archivo a la siguiente ruta: ' . $uploadDir . $fileName . "."
    );
    header("Location:" . SITIO_CARPETA . "/views/ajustes?tipo=error&mensaje=No se ha seleccionado ningún archivo");
    exit;
}

if (!file_exists($uploadDir)) {
    mkdir($uploadDir, 0755, true);
}

if (!move_uploaded_file($tmpName, $uploadDir . $fileName . $tipo)) {
    crear_log(
        'error',
        'Error subir archivo',
        $pag,
        'Error al subir el archivo a la siguiente ruta: ' . $uploadDir . $fileName . "."
    );
    header("Location:" . SITIO_CARPETA . "/views/ajustes?tipo=error&mensaje=No se ha podido subir el archivo");
} else {
    crear_log(
        'info',
        'Logo actualizado',
        $pag,
        'Logo actualizado con la siguiente ruta: ' . $uploadDir . $fileName . $tipo
    );
    header("Location:" . SITIO_CARPETA . "/views/ajustes?tipo=correcto&mensaje=Logo subido correctamente");
}
